Bug 557558 - Starting the agent w/ only RHQ_AGENT_JAVA_HOME set does not work
Starting the agent w/ only RHQ_AGENT_JAVA_HOME set does not work
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.3.1
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
na
: SubBug
Depends On:
Blocks: rhq_triage jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-01-21 14:47 EST by wes hayutin
Modified: 2013-09-02 03:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2010-01-21 14:47:51 EST
Description of problem:

Starting a jon2.3 rhq 1.3 agent w/ only RHQ_AGENT_JAVA_HOME set to the jdk path does not work

get an error:
[root@10-16-120-123 bin]# ./rhq-agent.sh 
There is no JVM available.
Please set RHQ_AGENT_JAVA_HOME or RHQ_AGENT_JAVA_EXE_FILE_PATH appropriately.
[root@10-16-120-123 bin]# 


after setting RHQ_AGENT_JAVA_EXE_FILE_PATH the agent will now start.

Basically the language in the error should be changed to:


Please set RHQ_AGENT_JAVA_EXE_FILE_PATH appropriately.
Comment 1 wes hayutin 2010-02-16 11:57:40 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:02:34 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Charles Crouch 2010-05-25 16:15:46 EDT
So the workaround is:

"after setting RHQ_AGENT_JAVA_EXE_FILE_PATH the agent will now start."

But I really think the bug is get it so that you only need to set RHQ_AGENT_JAVA_HOME to have the agent work.
Comment 4 John Mazzitelli 2010-05-25 16:25:57 EDT
This is working for me:

$ env | grep JAVA_HOME
RHQ_AGENT_JAVA_HOME=/home/software/java/jdk16
$ ./rhq-agent.sh --nostart
RHQ 3.0.0-SNAPSHOT [2413b00] (Mon May 24 15:37:10 GMT-05:00 2010)
> quit
Agent no longer accepting input at prompt.
Shutting down...
The agent will wait for [0] threads to die
Shutdown complete - agent will now exit.

When you try this again, export the RHQ_AGENT_DEBUG variable, setting it to true ("export RHQ_AGENT_DEBUG=true"). When you start rhq-agent.sh, it will dump alot of debug messages to stdout, including variables it uses to start (like RHQ_AGENT_JAVA_HOME) and the command line it tries when attempting to start the agent. This might help debug your problem. I don't think its a bug, I think it is probably a problem in the user environment.
Comment 5 Rajan Timaniya 2010-09-14 05:12:40 EDT
Verified on JON 2.4 GA

Steps:
1) Installed JON Server
2) On agent box only set 'RHQ_AGENT_JAVA_HOME' (make sure that there is neither set 'RHQ_AGENT_JAVA_EXE_FILE_PATH' nor 'JAVA_HOME')
3) Install RHQ-Agent 

Observation:
RHQ-Agent successfully installed with environment variable 'RHQ_AGENT_JAVA_HOME'.

[root@rajanlaptop bin]# export RHQ_AGENT_DEBUG=true
[root@rajanlaptop bin]# export RHQ_AGENT_JAVA_HOME=/usr/java/jdk1.6.0_18
[root@rajanlaptop bin]# ./rhq-agent.sh -s
rhq-agent.sh: Loading environment script: /NotBackedUp/install/jon2.4/rhq-agent/bin/rhq-agent-env.sh
rhq-agent.sh: RHQ_AGENT_HOME: /NotBackedUp/install/jon2.4/rhq-agent
rhq-agent.sh: RHQ_AGENT_JAVA_HOME: /usr/java/jdk1.6.0_18
rhq-agent.sh: RHQ_AGENT_JAVA_EXE_FILE_PATH: /usr/java/jdk1.6.0_18/bin/java
rhq-agent.sh: CLASSPATH entry: /NotBackedUp/install/jon2.4/rhq-agent/lib/commons-httpclient-2.0.2.jar
rhq-agent.sh: CLASSPATH entry: /NotBackedUp/install/jon2.4/rhq-agent/lib/commons-logging-1.1.0.jboss.jar
rhq-agent.sh: CLASSPATH entry: /NotBackedUp/install/jon2.4/rhq-agent/lib/concurrent-1.3.4-jboss-update1.jar
rhq-agent.sh: CLASSPATH entry: /NotBackedUp/install/jon2.4/rhq-agent/lib/dom4j-1.6.jar
rhq-agent.sh: CLASSPATH entry: /NotBackedUp/install/jon2.4/rhq-agent/lib/getopt-1.0.13.jar
rhq-agent.sh: CLASSPATH entry: /NotBackedUp/install/jon2.4/rhq-agent/lib/i18nlog-1.0.10.jar
rhq-agent.sh: CLASSPATH entry: /NotBackedUp/install/jon2.4/rhq-agent/lib/jboss-common-1.2.1.GA.jar
...
Comment 6 Heiko W. Rupp 2013-09-02 03:24:50 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.